@ -472,18 +472,24 @@ do_next () {
@@ -472,18 +472,24 @@ do_next () {
git rev-parse --verify HEAD > "$state_dir"/stopped-sha
${SHELL:-@SHELL_PATH@} -c "$rest" # Actual execution
status=$?
# Run in subshell because require_clean_work_tree can die.
dirty=f
(require_clean_work_tree "rebase" 2>/dev/null) || dirty=t
if test "$status" -ne 0
then
warn "Execution failed: $rest"
test "$dirty" = f ||
warn "and made changes to the index and/or the working tree"
warn "You can fix the problem, and then run"
warn
warn " git rebase --continue"
warn
exit "$status"
fi
# Run in subshell because require_clean_work_tree can die.
if ! (require_clean_work_tree "rebase")
elif test "$dirty" = t
then
warn "Execution succeeded: $rest"
warn "but left changes to the index and/or the working tree"
warn "Commit or stash your changes, and then run"
warn
warn " git rebase --continue"
@ -647,8 +653,24 @@ continue)
@@ -647,8 +653,24 @@ continue)
then
: Nothing to commit -- skip this
else
if ! test -f "$author_script"
then
die "You have staged changes in your working tree. If these changes are meant to be
squashed into the previous commit, run:
git commit --amend
If they are meant to go into a new commit, run:
git commit
In both case, once you're done, continue with:
git rebase --continue
"
fi
. "$author_script" ||
die "Cannot find the author identity"
die "Error trying to find the author identity to amend commit"
current_head=
if test -f "$amend"
then